ON_3dmWallpaperImage Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h>`

## Public Member Functions

| ON_3dmWallpaperImage ()
| ~ON_3dmWallpaperImage ()
bool | operator== (const ON_3dmWallpaperImage &) const
bool | operator!= (const ON_3dmWallpaperImage &) const
void | Default ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)

## Public Attributes

ON_wString | m_bitmap_filename
bool | m_bGrayScale
bool | m_bHidden

## Detailed Description

Definition at line 372 of file opennurbs_3dm_settings.h.

## Constructor & Destructor Documentation

## ON_3dmWallpaperImage()

ON_3dmWallpaperImage::ON_3dmWallpaperImage | ( |  | ) |

## ~ON_3dmWallpaperImage()

ON_3dmWallpaperImage::~ON_3dmWallpaperImage | ( |  | ) |

## Member Function Documentation

## Default()

void ON_3dmWallpaperImage::Default | ( |  | ) |

## operator!=()

bool ON_3dmWallpaperImage::operator!= | ( | const ON_3dmWallpaperImage & |  | ) | const

## operator==()

bool ON_3dmWallpaperImage::operator== | ( | const ON_3dmWallpaperImage & |  | ) | const

## Read()

bool ON_3dmWallpaperImage::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_3dmWallpaperImage::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bGrayScale

bool ON_3dmWallpaperImage::m_bGrayScale

Definition at line 386 of file opennurbs_3dm_settings.h.

## m_bHidden

bool ON_3dmWallpaperImage::m_bHidden

Definition at line 387 of file opennurbs_3dm_settings.h.

## m_bitmap_filename

ON_wString ON_3dmWallpaperImage::m_bitmap_filename

Definition at line 385 of file opennurbs_3dm_settings.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_3dm_settings.h